import React from 'react';
import {connect} from 'react-redux';
import Head from './head/head';
import Item from './posts/item';

class Main extends React.PureComponent {
  componentDidMount() {
    this.props.dispatch({
      type: 'POSTS/LOAD',
      promise: fetch('http://localhost:3000/posts')
    });
  }

  render() {
    const {posts} = this.props;
    return (
      <div>
        <Head>Hey, Africa!</Head>
        {
          posts.length
            ? posts.map(post => <Item key={post.id} {...post} />)
            : <Item name="Loading posts..."/>
        }
      </div>
    );
  }
}

export default connect(store => store)(Main);